Bug 1651844 - buildah version failed with strconv.ParseInt: parsing "": invalid syntax
Summary: buildah version failed with strconv.ParseInt: parsing "": invalid syntax
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: container-tools-1.0-module
Version: 8.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Lokesh Mandvekar
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-21 03:01 UTC by Joy Pu
Modified: 2019-06-14 02:01 UTC (History)
8 users (show)

Fixed In Version: buildah-1.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-14 02:01:46 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Joy Pu 2018-11-21 03:01:16 UTC
Description of problem:
The command buildah version failed with following error:
strconv.ParseInt: parsing "": invalid syntax

Version-Release number of selected component (if applicable):
buildah-1.4-3.git608fa84.module+el8+2237+43d1adf6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Run buildah version
# buildah version
strconv.ParseInt: parsing "": invalid syntax



Actual results:
Command failed with error

Expected results:
Command success and print version info correctly

Additional info:

Comment 1 Tom Sweeney 2018-11-26 16:06:00 UTC
This if fixed in v1.5 of Buildah which was cut late last week and is not yet available as an RPM in Red Hat.  That's a work in progress.  

In case it's of interest, the fix was here: https://github.com/containers/buildah/pull/1107 and if you're able to, you can pull the upstream and build it on your machine and it should work.

Comment 2 Daniel Walsh 2018-11-26 16:36:32 UTC
Fixed in buildah 1.5

Comment 3 Lokesh Mandvekar 2019-01-02 12:39:50 UTC
Frantisek, please get this added to the module errata whenever the time's right.

Comment 5 Joy Pu 2019-02-21 10:14:22 UTC
Test with buildah-1.5-3.gite94b4f9.module+el8+2594+933f97c7.x86_64 and buildah version works as expect. So set this to verified, details:
$ buildah version
Version:         1.5
Go Version:      go1.11
Image Spec:      1.0.0
Runtime Spec:    1.0.0
CNI Spec:        0.4.0
libcni Version:  
Git Commit:      
Built:           Wed Dec 31 19:00:00 1969
OS/Arch:         linux/amd64


Note You need to log in before you can comment on or make changes to this bug.